import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["as", "alpha", "color", "children", "id"];
import PropTypes from 'prop-types';
import PolymorphicElement from '@s-ui/react-primitive-polymorphic-element';
import { ALPHA, BORDER_RADIUS, COLORS, ELEVATION, getClassNames } from './constants.js';
import { jsx as _jsx } from "react/jsx-runtime";
var ColorPanel = function ColorPanel(_ref) {
  var _ref$as = _ref.as,
    as = _ref$as === void 0 ? 'div' : _ref$as,
    _ref$alpha = _ref.alpha,
    alpha = _ref$alpha === void 0 ? ALPHA.CONTRAST : _ref$alpha,
    _ref$color = _ref.color,
    color = _ref$color === void 0 ? COLORS.DEFAULT : _ref$color,
    children = _ref.children,
    id = _ref.id,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/_jsx(PolymorphicElement, {
    as: as,
    id: id,
    className: getClassNames(_extends({
      alpha: alpha,
      color: color
    }, otherProps)),
    children: children
  });
};
ColorPanel.displayName = 'ColorPanel';
export default ColorPanel;